This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 250148 - traceback in partitioning w/usb-storage
traceback in partitioning w/usb-storage
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-30 14:13 EDT by Bill Nottingham
Modified: 2014-03-16 23:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 12:26:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
traceback log (63.60 KB, text/plain)
2007-07-30 14:13 EDT, Bill Nottingham
no flags Details

  None (edit)
Description Bill Nottingham 2007-07-30 14:13:02 EDT
Description of problem:

I plugged in a (unformatted, IIRC) 2GB usb-stick, and booted anaconda to install.

It offered to remove all linux partitions and use both drives for the install. I
selected 'Review and modify partitioning layout', and hit 'Next'.

anaconda then crashed.

Version-Release number of selected component (if applicable):

rawhide-20070730
Comment 1 Bill Nottingham 2007-07-30 14:13:02 EDT
Created attachment 160261 [details]
traceback log
Comment 2 Chris Lumens 2007-08-01 11:14:23 EDT
Lots of kernel error messages about sdb, so we're removing it from the list.  We
still shouldn't be crashing, though.

<3>sd 5:0:0:0: [sdb] Assuming drive cache: write through
<5>sd 5:0:0:0: [sdb] READ CAPACITY failed
<6>sd 5:0:0:0: [sdb] Result: hostbyte=DID_NO_CONNECT driverbyte=DRIVER_OK,SUGGEST_OK
<5>sd 5:0:0:0: [sdb] Sense not available.
<5>sd 5:0:0:0: [sdb] Write Protect is off
<7>sd 5:0:0:0: [sdb] Mode Sense: 00 00 00 00
<3>sd 5:0:0:0: [sdb] Assuming drive cache: write through
Comment 3 Chris Lumens 2007-08-01 13:59:48 EDT
Please try the exact same setup with
updates=http://people.redhat.com/clumens/250148.img and see if this avoids the
traceback.
Comment 4 Bill Nottingham 2007-08-02 00:16:51 EDT
Same traceback with that updates.img.
Comment 5 Chris Lumens 2007-08-02 14:17:39 EDT
I think this should be fixed up in the next build of anaconda.
Comment 6 Bug Zapper 2008-04-04 09:30:34 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 7 Bug Zapper 2008-11-26 02:37:22 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.